package com.blue.penecu;

import android.content.Context;
import android.os.Handler;
import android.util.AttributeSet;
import android.widget.EditText;

public class GTextEdit extends EditText {
    final static int MESSAGE_EDIT_FINISHED  = 300;
    public static Handler m_handler;
    public static Object  m_NextTagdata = null;
    public static GTextEdit CreateEdit(Context con, Object data) {
        m_NextTagdata = data;
        GTextEdit ret = new GTextEdit(con);
        ret.setTag(data);
        m_NextTagdata = null;
        return ret;
    }
    public GTextEdit(Context con) {super(con);   }
    public GTextEdit(Context context, AttributeSet attrs) {super(context, attrs);}
    public GTextEdit(Context context, AttributeSet attrs, int defStyleAttr) {super(context, attrs, defStyleAttr);}
    public GTextEdit(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) { super(context, attrs, defStyleAttr,  defStyleRes); }
    @Override
    public void onTextChanged(CharSequence text, int start, int lengthBefore, int lengthAfter) {

        NumberObject data = (NumberObject)this.getTag();
        if(data != null && data.m_isEditable)
            data.fromString(text.toString());
    }

    @Override
    public void onWindowFocusChanged(boolean hasWindowFocus) {
        if (!hasWindowFocus && m_handler != null) {
            NumberObject data = (NumberObject)this.getTag();
            if(data != null && data.m_isModified)
                m_handler.obtainMessage(MESSAGE_EDIT_FINISHED, data);
        }
    }

    @Override
    protected boolean getDefaultEditable() {
        NumberObject data = (NumberObject)m_NextTagdata;
        if(data == null)    return false;
        return data.m_isEditable;
    }


}