package com.blue.penecu;

import android.app.ActionBar;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.graphics.Color;
import android.os.Handler;
import android.os.Message;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.GridView;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import org.w3c.dom.Text;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by tagami.tomohisa on 2016/03/15.
 */
public class EditMap implements AdapterView.OnItemClickListener, Handler.Callback, View.OnClickListener {
    static MainActivity m_parent;
    GridView m_grid;
    ListView m_list;
    MyAdapter<NumberObject> m_adptGrid;
//    ArrayAdapter<NumberObject> m_adptGrid;
    String m_selvalue,
            m_sselfname;
    boolean[] m_needget = new boolean[100];
    Map<Integer, Object> m_mapReadData = new HashMap<Integer, Object>();
    int m_nCol, m_nRow;
    TextView m_tvLastClick = null;
    static final int tblunit[] = {100, 10, 10, 100,100, 100, 100, 100, 10, 100, 100 };
    int m_curTbl;
    int m_curCol, m_curRow;

    //------------------------------------------------ アダプタクラス
    public class MyAdapter<T> extends  ArrayAdapter<T> {
        int m_resource;
        private LayoutInflater m_inflater;
        public MyAdapter(Context context, int resource) {
            super(context, resource);
            m_inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            m_resource = resource;
        }

        //@Override
        public View getView(int position, View convertView, ViewGroup parent) {
            GTextEdit eview;
            NumberObject no = (NumberObject)getItem(position);
            NumberObject  no2;
            if(convertView == null || convertView.getTag() != no ) {

                GTextEdit.m_NextTagdata = no;
                //eview = GTextEdit.CreateEdit(m_parent, no);
                convertView = m_inflater.inflate(m_resource, null);
                convertView.setTag(no);
                no.m_view = (TextView)convertView;
            }
            else {
            }
            ((TextView)convertView).setText(no.toString());

            return convertView;
        }
    }

    //---------------------------------------------------------------------------//
    void Invalidate() {
        for (int i = 0; i < m_needget.length; i++)
            m_needget[i] = true;
        m_mapReadData.clear();

    }

    //---------------------------------------------------------------------------//
    public EditMap(MainActivity p) {
        Invalidate();
        m_parent = p;
        m_list = (ListView) m_parent.findViewById(R.id.listMapTable);
        ArrayAdapter<String> amapname = new ArrayAdapter<String>(m_parent, R.layout.rowdata);
        m_list.setAdapter(amapname);
        amapname.add(m_parent.getString(R.string.ids_tblname_02_1));
        amapname.add(m_parent.getString(R.string.ids_tblname_03_1));
        amapname.add(m_parent.getString(R.string.ids_tblname_09_1));
        // クリックでテーブル更新
        m_list.setOnItemClickListener(this);

        m_grid = (GridView) m_parent.findViewById(R.id.gvMapTable1);
        m_adptGrid = new MyAdapter<NumberObject>(m_parent, R.layout.griditem2);
//        m_adptGrid = new ArrayAdapter<NumberObject>(m_parent, R.layout.griditem);
        m_grid.setAdapter(m_adptGrid);

        // 初期表示、不要
        //if (false)
        {
            int px = convertDpToPx(m_parent, 1800);
            m_grid.setLayoutParams(new android.widget.LinearLayout.LayoutParams(px, ViewGroup.LayoutParams.WRAP_CONTENT));
            m_grid.requestLayout();

            m_grid.setNumColumns(25);
            for (int j = 0; j < 2; j++) {
                m_adptGrid.add(new NumberObject(j == 0 ? "" : String.valueOf(j + 1)));
                for (int i = 0; i < 24; i++) {
                    m_adptGrid.add(new NumberObject(j == 0 ? String.valueOf((i + 1) * 500) : ""));
                }
            }
            m_nCol = 25;
            m_nRow = 2;
        }
        m_grid.setOnItemClickListener(this);

        GTextEdit.m_handler = new Handler(this);        // テキストが編集後にイベント通知
        View btn = m_parent.findViewById(R.id.btnEMsave1);
        btn.setTag(new Integer(1));
        btn.setOnClickListener(this);
        btn = m_parent.findViewById(R.id.btnEMsave2);
        btn.setOnClickListener(this);
        btn.setTag(new Integer(2));
    }

    @Override
    //-------------------------------------- ボタンクリック
    public void onClick(View v) {
        Integer  iobj = (Integer)v.getTag();
        m_parent.getM_comtask().saveTables(iobj.intValue(), new Handler(this));
    }

    //-------------------------------------- テーブル一覧のクリック、および　Gridのクリック
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        // GRID側
        if (parent == m_grid) {
            final int fposition = position;
            final TextView tview = (TextView) view;
            m_curCol = position % m_nCol;
            m_curRow = position / m_nCol;
            tview.setBackgroundColor(Color.CYAN);
            if(m_tvLastClick != tview && m_tvLastClick != null)
                m_tvLastClick.setBackgroundColor(Color.WHITE);
            m_tvLastClick = tview;
//            m_sselfname = (String) m_grid.getItemAtPosition(position);

           if(position == 0)       //左上では反応しない
                return;
            if(m_curRow == 0) {  // ヘッダをクリックした場合
            }
            else if(m_curCol == 0) {    // 固定列をクリックした場合
            }
            else {
            }
            // ヘッダーがクリックされた場合、特殊な入力をさせ、範囲変更とする
            NumberObject no = m_adptGrid.getItem(position);
            final EditText editView = new EditText(m_parent);
            if(m_curRow == 0 || m_curCol == 0 ) {       // ヘッダーがクリックされた場合
                // 設定ファイルから読み出し以前に接続済みのBTデバイスの情報取得

                SharedPreferences pref = m_parent.getSharedPreferences("EditMap", m_parent.MODE_WORLD_WRITEABLE);
                String svalue = pref.getString("EditHeader", null);
                editView.setText((svalue == null || svalue.isEmpty()) ? "*1.0"  : svalue);
            }
            else
                editView.setText(no.toString());        // 現在のグリッドの値を設定する
            new AlertDialog.Builder(m_parent)
                    .setIcon(android.R.drawable.ic_dialog_info)
                    //.setTitle(m_parent.getString(R.string.ids_inputfname))
                            //setViewにてビューを設定します。
                    .setView(editView)
                    .setPositiveButton("OK", new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int whichButton) {
                            String sInput = editView.getText().toString();
                            if (!sInput.isEmpty()) {
                                if (m_curRow == 0 || m_curCol == 0) {
                                    SharedPreferences pref = m_parent.getSharedPreferences("EditMap", m_parent.MODE_WORLD_WRITEABLE);
                                    SharedPreferences.Editor pedit = pref.edit();
                                    pedit.putString("EditHeader", sInput);
                                    pedit.commit();
                                }
                                //short[] data = (short[])m_mapReadData.get(m_curTbl);
                                //data[m_curRow * m_nCol + m_curCol] = Short.decode(sInput);
                                OnUpdateColumn(sInput, fposition);
                            }
                        }
                    })
                    .setNegativeButton(m_parent.getString(R.string.ids_cancel), new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int whichButton) {

                        }
                    })
                    .show();

        }

        //　テーブル一覧側
        if (parent == m_list) {
            String theLine = (String) ((ListView) parent).getItemAtPosition(position);
            int tblno = Integer.parseInt(theLine.substring(0, 1));  // 文字列の2文字分がそのままテーブル番号

            // クリックして色を変えたところをもどしておく
            if (m_tvLastClick != null) {
                m_tvLastClick.setBackgroundColor(Color.WHITE);
                m_tvLastClick = null;
            }
            // 行数と列数をテーブル番号から取得, 固定列、ヘッダー行のため、1加算
            switch (tblno) {
                case 1:
                    m_nCol = 24 + 1;
                    m_nRow = 16 + 1;
                    break;
                case 2:
                case 3:
                    m_nCol = 24 + 1;
                    m_nRow = 20 + 1;
                    break;
                default:
                    m_nCol = 1 + 1;
                    m_nRow = 16 + 1;
                    break;
            }
            // 既に読み込み済みかどうかマップを探して、なければ取得
//            if (!m_mapReadData.containsKey(tblno)) {
              if (true) {           //!!! DEBUG
                GetTableData(tblno);
            }
            else
                selectTable(tblno);
        }

    }

    //-------------------------------------- 現在の編集セルデータを更新
    void OnUpdateColumn(String strval, int position) {

        short[] sdata = (short[])m_mapReadData.get(m_curTbl);
        if(sdata == null)
            sdata = new short[1000];
        String swk = strval.trim();
        String ssign = swk.substring(0, 1), sNum;
        float  fnum;
        sNum = (ssign == "*" || ssign == "+") ? swk.substring(1) : swk;
        try { fnum = Float.parseFloat(sNum);  } catch(Exception e) { return; }

        if(m_curRow == 0) {     // その列まるごと
            for (int i = 1; i < m_nRow; i++) {
                int idx = i * m_nCol + m_curCol;
                NumberObject no = m_adptGrid.getItem(idx);
                TextView tv = no.m_view;

                if (ssign.compareTo("*") == 0) {
                    no.m_sdata *= fnum;

                } else if (ssign.compareTo("+") == 0) {
                    no.m_sdata += fnum;
                } else {
                    no.m_sdata = fnum;
                }
                if (tv != null)
                    tv.setText(no.toString());

                sdata[no.m_idxOrg] = no.toShort();      // バイナリ値も更新
                commtasks.Notice notice = m_parent.getM_comtask().new Notice();
                onUpdateCelldata(no, notice);
            }
        }
        else if(m_curCol == 0) {        // その行まるごと
            for (int i = 1; i < m_nCol; i++) {
                int idx = m_curRow * m_nCol + i;
                NumberObject no = m_adptGrid.getItem(idx);
                TextView tv = no.m_view;

                if (ssign.compareTo("*") == 0) {
                    no.m_sdata *= fnum;

                } else if (ssign.compareTo("+") == 0) {
                    no.m_sdata += fnum;
                } else {
                    no.m_sdata = fnum;
                }
                if (tv != null)
                    tv.setText(no.toString());

                sdata[no.m_idxOrg] = no.toShort();      // バイナリ値も更新
                commtasks.Notice notice = m_parent.getM_comtask().new Notice();
                onUpdateCelldata(no, notice);
            }
        }
        else {
            NumberObject no = m_adptGrid.getItem(position);
            TextView tv = no.m_view;

            if (ssign.compareTo("*") == 0) {
                no.m_sdata *= fnum;

            } else if (ssign.compareTo("+") == 0) {
                no.m_sdata += fnum;
            } else {
                no.m_sdata = fnum;
            }
            if (tv != null)
                tv.setText(no.toString());

            sdata[no.m_idxOrg] = no.toShort();      // バイナリ値も更新
            commtasks.Notice notice = m_parent.getM_comtask().new Notice();
            onUpdateCelldata(no, notice);
        }
    }

    //-------------------------------------- テーブルバイナリデータの取得
    public void GetTableData(int tblno) {
        FrameLayout fl = (FrameLayout) m_parent.findViewById(R.id.frmprogress);
        if(fl != null)
            fl.setVisibility(View.VISIBLE);
        m_parent.getM_comtask().getTableData(tblno, new Handler(this));
    }

    //-------------------------------------- テーブル選択後の処理
    void selectTable(int tblno) {
        GridView gv = (GridView) m_parent.findViewById(R.id.gvMapTable1);
        if(m_nCol < 6)  {
            int  px = convertDpToPx(m_parent, (m_nCol + 1) * 85);
            gv.setLayoutParams(new android.widget.LinearLayout.LayoutParams(px, ViewGroup.LayoutParams.WRAP_CONTENT));
            gv.requestLayout();
        }
        else {
            int  px = convertDpToPx(m_parent, 1800);
            gv.setLayoutParams(new android.widget.LinearLayout.LayoutParams(px, ViewGroup.LayoutParams.WRAP_CONTENT));
            gv.requestLayout();
        }
        gv.setNumColumns(m_nCol);
        short[] data = (short[])m_mapReadData.get(tblno);
        m_adptGrid.clear();
        m_adptGrid.add(new NumberObject(""));
        if(tblno < 4)   {
            for(int i = 1; i < m_nCol; i++)
                m_adptGrid.add(new NumberObject(i * 500));
        }
        else
            m_adptGrid.add(new NumberObject( m_parent.getString(R.string.ids_setingval)));

        int  nDataRow = m_nRow - 1, nDataCol = m_nCol - 1;
        for(int i = nDataRow - 1; i >= 0; i--)    {
            if(tblno == 2 || tblno == 3)
                m_adptGrid.add(new NumberObject(String.valueOf((int)(100 * i / nDataRow + 0.1)) + "%"));
            else
                m_adptGrid.add(new NumberObject(String.valueOf(i)) );
            for(int j = 0; j < nDataCol; j++) {
                int  idxOrg = i * nDataCol + j;
                short sval = data[idxOrg];
                float   fval;
                fval = (float)sval / (tblno < 10 ? tblunit[tblno - 1] : tblunit[10]);
                m_adptGrid.add(new NumberObject(sval, tblunit[tblno - 1], idxOrg));
            }
        }
        gv.setAdapter(m_adptGrid);
        m_curTbl = tblno;
    }

    //------------------------------------------------ 通信スレッド終了、データ取得完了
    void  onGotTableData(int tblno, byte [] retdata) {
        int needsize = (m_nCol - 1) * (m_nRow - 1);
        short[] araydata = new short[needsize];
        if(tblno == 3)   {       // これだけバイトデータ、あとはshortデータ
            int     nmaxary = retdata.length;
            for(int i = 0; i < needsize; i++) {
                if(i < nmaxary)
                    araydata[i] = retdata[i];
                else
                    araydata[i] = 0;
            }
        }
        else    {
            ByteBuffer bb = ByteBuffer.wrap(retdata).order(ByteOrder.LITTLE_ENDIAN);
            int     nmaxary = retdata.length / 2;

            for(int i = 0; i < needsize; i++) {
                if(i < nmaxary)
                    araydata[i] = bb.getShort(i * 2);
                else
                    araydata[i] = 0;
            }
            needsize *= 2;                      // short なので2倍している
        }
        m_mapReadData.put(tblno, araydata);
        selectTable(tblno);
        if(needsize != retdata.length)
            Toast.makeText(m_parent, m_parent.getString(R.string.ids_em_invdatalen), Toast.LENGTH_SHORT).show();
    }

    //------------------------------------------------ 通信スレッド終了、データ取得完了
    void onUpdateCelldata(NumberObject obj, commtasks.Notice notice) {
        int     idx = m_adptGrid.getPosition(obj);
        short  data = obj.toShort();
        int     col = (idx % m_nCol) - 1;           // 実際のデータテーブルの添え字に直す
        int     row = m_nRow - idx / m_nCol - 1 ;   // 21 - 20 - 1 = 0, 21 - 26 / 25 - 1 = 19
        if(m_parent.getM_comtask().setTableCellData(m_curTbl, col, row, data, notice ) < 0)
            return;
        if(notice != null) {
            while(!notice.getIsFinished()) {
                try { Thread.sleep(5); } catch (Exception ex) {}
            }
        }
    }

    //------------------------------------------------ 汎用イベントハンドラ処理、通信やコントロールのイベントを処理
    public boolean handleMessage(Message msg) {
        FrameLayout fl = (FrameLayout) m_parent.findViewById(R.id.frmprogress);
        if(fl != null)
            fl.setVisibility(View.INVISIBLE);
        switch (msg.what) {
            case commtasks.MESSAGE_COMM_ERROR:
                Toast.makeText(m_parent, m_parent.getString(R.string.ids_em_comerr), Toast.LENGTH_SHORT).show();
                break;
            case commtasks.MESSAGE_TABLE_DATA:  {
                byte [] retdata = (byte[])msg.obj;
                onGotTableData(msg.arg1, retdata);
            }
                break;
            case commtasks.MESSAGE_TABLE_CELLU:
                Toast.makeText(m_parent, m_parent.getString(R.string.ids_ms_updtcell), Toast.LENGTH_SHORT).show();
                break;
            case GTextEdit.MESSAGE_EDIT_FINISHED:
                onUpdateCelldata((NumberObject) msg.obj, null);
                break;
            case commtasks.MESSAGE_TABLE_SAVE_FIN:
                Toast.makeText(m_parent, m_parent.getString(R.string.ids_ms_savedtable), Toast.LENGTH_SHORT).show();
                break;
            case commtasks.MESSAGE_TABLE_SAVE_ERR:
                Toast.makeText(m_parent, m_parent.getString(R.string.ids_em_savedtableerr), Toast.LENGTH_SHORT).show();
                break;
        }
        return true;
    }

    public static int convertDpToPx(Context context, int dp){
        float d = context.getResources().getDisplayMetrics().density;
        return (int)((dp * d) + 0.5);
    }


}
