package com.blue.penecu;

import android.app.ActionBar;
import android.app.Activity;
import android.app.AlertDialog;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.util.TypedValue;
import android.view.GestureDetector;
import android.view.KeyEvent;
import android.view.MenuInflater;
import android.view.MotionEvent;
import android.view.Surface;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.view.WindowManager;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.GridView;
import android.widget.HorizontalScrollView;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.PopupMenu;
import android.widget.TabHost;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.List;


public class MainActivity extends AppCompatActivity  implements View.OnClickListener,   PopupMenu.OnMenuItemClickListener{

 	public static final String APPNAME = "Blue ECU Controler";
    public static final String PREFNAME = "Settings";
    public static final int IDA_CONNECTDEVICE = 1;
    public static final int IDA_ENABLEBLUETOOTH = 2;
    public static final int IDA_SETTING1 = 6;
    // Bluetoothインスタンス定数
    private BluetoothAdapter BTadapter;
    private BluetoothClientC BTclient;
    // バッファ、一般変数定義
    private int i, j;
    // クラス変数、定数の宣言
    private final static int WC = LinearLayout.LayoutParams.WRAP_CONTENT;
    private static Button[] sample = new Button[6];
    private static Button select, channel;
    private static TextView text, text0, text10;
    String	m_sdevname;
	String	m_sdevaddr;                     // 接続したBTデバイスのアドレス、設定で保存して次回から自動接続
    String  m_sselfname = "", m_ssrcfname = "";
    boolean m_IsFileIntentFinished;
    public static Context _ContextMain;    // 匿名クラスやメソッドから参照できるように、thisポインタをセットしておく
    private commtasks   m_comtask = new commtasks(this);
    Handler m_HandlerForFileman;
    InfoPanel m_vInfoPanel;
    public static Activity  m_this;
    protected InfoDrawThread  m_threadInfo;
    public List<ActresDispatcher> m_Disps = new  ArrayList<ActresDispatcher>();
    Fileman m_fileman;
    EditMap m_edtMap;
    Oscillo m_vOscillo;
    boolean m_bInit = true;                 // 最初の一回だけ実行
    //-------------------------------------------------------------------------------------------//
    public synchronized commtasks getM_comtask() { return m_comtask; }

    //------------------------ イベントハンドラ実装 -----------------------//
     //--------------------------------初期処理
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        m_this = this;
//        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
//        setSupportActionBar(toolbar);

//        FloatingActionButton fab = (FloatingActionButton) findViewById(R.id.fbmainmenu);
//        fab.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View view) {
 //               Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
 //                       .setAction("Action", null).show();
//            }
//        });
//
        Button btn = (Button)findViewById( R.id.btnMain);

        btn = (Button)findViewById( R.id.btnMain);
        btn.setOnClickListener(this);
        btn = (Button)findViewById( R.id.btnScope);
        btn.setOnClickListener(this);
        btn = (Button)findViewById( R.id.btnUpdate);
        btn.setOnClickListener(this);
        btn = (Button)findViewById( R.id.btnTerm);
        btn.setOnClickListener(this);
        btn = (Button)findViewById( R.id.btnTest);
        btn.setOnClickListener(this);
        //TabHostオブジェクト取得

        TabHost tabhost = (TabHost)findViewById(R.id.idtabHost);
        tabhost.setup();

        TabHost.TabSpec tab1 = tabhost.newTabSpec("tab1");
        tab1.setIndicator("tab1");
        tab1.setContent(R.id.idtabp1);
        tabhost.addTab(tab1);

        TabHost.TabSpec tab2 = tabhost.newTabSpec("tab2");
        tab2.setIndicator("tab2");
        tab2.setContent(R.id.idtabp2);
        tabhost.addTab(tab2);

        TabHost.TabSpec tab3 = tabhost.newTabSpec("tab3");
        tab3.setIndicator("tab3");
        tab3.setContent(R.id.idtabp3);
        tabhost.addTab(tab3);

        TabHost.TabSpec tab4 = tabhost.newTabSpec("tab4");
        tab4.setIndicator("tab4");
        tab4.setContent(R.id.idtabp4);
        tabhost.addTab(tab4);

        TabHost.TabSpec tab5 = tabhost.newTabSpec("tab5");
        tab5.setIndicator("tab5");
        tab5.setContent(R.id.idtabp5);
        tabhost.addTab(tab5);

        tabhost.setCurrentTab(0);

    	// Bluetoothが有効な端末か確認
		BTadapter = BluetoothAdapter.getDefaultAdapter();
    	
    	if(BTadapter == null) {
            Toast.makeText(this, "Bluetoothのサポートなし", Toast.LENGTH_SHORT).show();
    //		ShowMessage("Bluetoothアダプタがありません");
    //		this.finish();
    		
    	}

        LinearLayout layouttab1 = (LinearLayout)findViewById(R.id.idtabp1);
        m_vInfoPanel = new InfoPanel(this);
        m_vInfoPanel.setLayoutParams(new LinearLayout.LayoutParams(
                LinearLayout.LayoutParams.MATCH_PARENT,
                LinearLayout.LayoutParams.MATCH_PARENT));
        layouttab1.addView(m_vInfoPanel);

        LinearLayout hview = (LinearLayout)findViewById(R.id.idtabp2scv1);
        m_vOscillo = new Oscillo(this);
        m_vOscillo.setLayoutParams(new LinearLayout.LayoutParams(
                2600,
                LinearLayout.LayoutParams.MATCH_PARENT));
        hview.addView(m_vOscillo);

        m_comtask.m_Instance = m_comtask;
        m_comtask.setM_handler(m_handler);
        _ContextMain = this;
        SetupFileMan();
        SetupEditmap();
        SetupTerminal();

        mGestureDetector = new GestureDetector(this, mOnGestureListener);
    }

    //------------------------------ クリックハンドラ
    @Override
    public void onClick(View v)
    {
        TabHost tabhost = (TabHost)findViewById(R.id.idtabHost);
        switch(v.getId()) {
            case    R.id.btnMain:
                tabhost.setCurrentTab(0);
                break;
            case R.id.btnScope:
                if (tabhost.getCurrentTab() != 1) {
                    tabhost.setCurrentTab(1);
                    m_vOscillo.getADResults();          // データ取得コマンドを呼び出して・・・
                }
                break;
            case R.id.btnUpdate:
                tabhost.setCurrentTab(2);
                break;
            case R.id.btnTerm:
                tabhost.setCurrentTab(3);
                break;
            case R.id.btnTest:
                DoTestFunc();
                break;
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onMenuItemClick(MenuItem item) {
        return onOptionsItemSelected(item);
    }
    //------------------------------ 設定メニューハンドラ ----------------------------//
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch(item.getItemId())   {
            case R.id.idm_selbtdev: {
                Intent Intent = new Intent(this, DeviceListActivity.class);
                // 端末が選択されて戻ったら接続要求するようにする
                startActivityForResult(Intent, IDA_CONNECTDEVICE);
            }
                return true;
            case R.id.idm_settings: {
                Intent Intent = new Intent(this, Setting1A.class);
                startActivityForResult(Intent, IDA_SETTING1);
            }
                return true;
            case R.id.idm_reconnect: {
                BTclient.reconnect();
            }
                return true;
            default:
                break;

        }
        return super.onOptionsItemSelected(item);
    }

    //------------------------------ アクティビティかｒなお復帰 ----------------------------//
    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        for (ActresDispatcher disp: m_Disps ) {
            if(disp.onActivityResult(requestCode, resultCode, data))
                return;
        }
        switch (requestCode) {
            // 端末選択ダイアログからの戻り処理
            case IDA_CONNECTDEVICE: 							// 端末が選択された場合
                if (resultCode == Activity.RESULT_OK) {
                    m_sdevaddr = data.getExtras().getString(DeviceListActivity.DEVICEADDRESS);
                    m_sdevname = data.getExtras().getString(DeviceListActivity.DEVICENAME);
                    // 生成した端末に接続要求
                    BluetoothDevice device = BTadapter.getRemoteDevice(m_sdevaddr);
                    BTclient.connect(device);						// 端末へ接続
                    commtasks.setBTclient(BTclient);            // 接続されてから設定する
                }
                break;
            // 有効化ダイアログからの戻り処理
            case IDA_ENABLEBLUETOOTH: 							// Bluetooth有効化
                if (resultCode == Activity.RESULT_OK) {
                    // 正常に有効化できたらクライアントをハンドラで生成
                    BTclient = new BluetoothClientC(this, m_handler);
                    if(m_sdevaddr != null && !m_sdevaddr.isEmpty() )
                    {
                        BluetoothDevice device = BTadapter.getRemoteDevice(m_sdevaddr);
                        if(device != null)
                            BTclient.connect(device);						// 端末へ接続
                        commtasks.setBTclient(BTclient);            // 接続されてから設定する
                    }
                }
                else {
                    ShowMessage("Bluetoothのサポートなし");
                    finish();
                }
                break;
        }
    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode != KeyEvent.KEYCODE_BACK) {
            return super.onKeyDown(keyCode, event);
        } else {
            this.finish();
            this.moveTaskToBack(true);
            return false;
        }
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        try {
            if (m_threadInfo != null)
                m_threadInfo.StopRunning();

            if (BTclient != null) {
                BTclient.stop();
            }
        }
        catch (Exception e) {

        }
    }

    //--------------------------------------------------------------//
    //   以降メソッド定義
    //--------------------------------------------------------------//
    public boolean IsBTEnable() {return (BTadapter != null);  }

    //--------------------------------メインメニューをポップアップ表示する (...ボタン)
    public void showPopup(View v) {
        PopupMenu popup = new PopupMenu(this, v);
        popup.setOnMenuItemClickListener(this);
        MenuInflater inflater = popup.getMenuInflater();
        inflater.inflate(R.menu.menu_main, popup.getMenu());
        popup.show();
    }

    //---------------- ファイルマネージメント画面のセットアップ ---------------------//
    void SetupFileMan() {
        m_fileman = new Fileman(this);
    }

    //---------------- マップ編集画面のセットアップ ---------------------//
    void SetupEditmap() {
        m_edtMap = new EditMap(this);
    }

    //---------------- ターミナル画面のセットアップ (機能は隠ぺいされている)---------------------//
    void SetupTerminal() {
        ListView  lv = (ListView) findViewById(R.id.listTView);
        ArrayAdapter<String> adapter = (ArrayAdapter<String>)lv.getAdapter();
        if (adapter == null) {
            adapter = new ArrayAdapter<String>(this,
                    android.R.layout.simple_list_item_1);
            lv.setAdapter(adapter);
        }
        Button btn =  (Button) findViewById(R.id.btnTSend);
        btn.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                EditText et = (EditText) findViewById(R.id.edtTLine);
                String strLine = et.getText().toString();
                if (!strLine.isEmpty()) {
                    final Handler handler = new Handler() {
                        // ハンドルメッセージごとの処理
                        @Override
                        public void handleMessage(Message msg) {
                            switch (msg.what) {
                                case 1: {
                                    String sRet = (String) msg.obj;
                                    ListView lv = (ListView) findViewById(R.id.listTView);
                                    ArrayAdapter<String> adapter = (ArrayAdapter<String>) lv.getAdapter();
                                    if (sRet != null && !sRet.isEmpty()) {
                                        adapter.add(sRet);
                                    }
                                }
                                break;
                            }
                        }
                    };
                    getM_comtask().TerminalJob(strLine, handler);

                }

            }
        });
    }

    //---------------- メッセージボックス 機能
	public static void ShowMessage(String strMsg) {
	    AlertDialog.Builder alertDialog=new AlertDialog.Builder(m_this);
	    //タイトルを設定する
	    alertDialog.setTitle(APPNAME);
	    //メッセージ内容を設定する
	    alertDialog.setMessage(strMsg);
	    //確認ボタン処理を設定する
	    alertDialog.setPositiveButton("OK",new DialogInterface.OnClickListener() {
	        public void onClick(DialogInterface dialog,int whichButton) {
                m_this.setResult(RESULT_OK);
	        }
	    });
	    alertDialog.create();
	    alertDialog.show();	
	}

    void DoTestFunc() {
        byte[]  buff = new byte[256];
        int  ret;

     //   m_vOscillo.doTest();
     //   m_comtask.AliveChk1();
        TabHost tabhost = (TabHost)findViewById(R.id.idtabHost);
        tabhost.setCurrentTab(4);

    }
	
	/******* アクティビティ開始時（ストップからの復帰時）****/
	@Override
	public void onStart() {
		super.onStart();

        if(!m_bInit)
            return;
        m_bInit = false;
        // 設定ファイルから読み出し以前に接続済みのBTデバイスの情報取得
        SharedPreferences	pref = getSharedPreferences(PREFNAME, MODE_WORLD_WRITEABLE);
        String strdevname = pref.getString("lastdev", null), strdevaddr;
        if (strdevname != null && !strdevname.isEmpty()) {
            m_sdevname = strdevname;
            m_sdevaddr = pref.getString("devaddr", null);
        }

        if(BTadapter == null)
            return;

        if (BTadapter.isEnabled() == false) {		// Bluetoorhが有効でない場合
			// Bluetoothを有効にするダイアログ画面に遷移し有効化要求
			Intent BTenable = new Intent(BluetoothAdapter.ACTION_REQUEST_ENABLE);
			// 有効化されて戻ったらENABLEパラメータ発行
			startActivityForResult(BTenable, IDA_ENABLEBLUETOOTH);
		}
		else {
			if (BTclient == null) {
				// BluetoothClientをハンドラで生成
				BTclient = new BluetoothClientC(this, m_handler);
                if(m_sdevaddr != null && !m_sdevaddr.isEmpty() )
                {
                    BluetoothDevice device = BTadapter.getRemoteDevice(m_sdevaddr);
                    BTclient.connect(device);						// 端末へ接続
                }
                commtasks.setBTclient(BTclient);            // 接続されてから設定する
            }
		}
	}

    void OnRecieve(byte[] datas)
    {

    }
	
    void DoInfoUpdate(InfoData  info) {
        m_vInfoPanel.UpdateInfo(info);
    }

    //----------------------------- 各画面からのイベント処理ハンドラ
	private final Handler m_handler = CreateDefaultHandler();
    //-----------------------------  折りたためないのでこの形にする
    Handler CreateDefaultHandler( ) {

        return new Handler() {
            // ハンドルメッセージごとの処理
            @Override
            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case BluetoothClientC.MESSAGE_STATECHANGE:
                        switch (msg.arg1) {
                            case BluetoothClientC.STATE_CONNECTED: {
                                Toast.makeText(m_this, "接続", Toast.LENGTH_SHORT).show();
                                SharedPreferences pref = getSharedPreferences(PREFNAME, MODE_WORLD_WRITEABLE);
                                SharedPreferences.Editor pedit = pref.edit();
                                pedit.putString("devaddr", m_sdevaddr);
                                pedit.putString("lastdev", m_sdevname);
                                pedit.commit();
                                m_threadInfo = new   InfoDrawThread(m_handler);
                                m_threadInfo.start();
                            }
                            break;
                            case BluetoothClientC.STATE_CONNECTING:
                                Toast.makeText(m_this, "接続中…", Toast.LENGTH_SHORT).show();
                                break;
                            case BluetoothClientC.STATE_NONE:
                                break;
                        }
                        break;
                    // BT受信処理
                    case BluetoothClientC.MESSAGE_READ:
                        OnRecieve((byte[]) msg.obj);
                        break;
                    case commtasks.MESSAGE_INFO_REQUEST: {
                        //DoInfoUpdate((InfoData)msg.obj);
                    }
                        break;
                    case 999: {
                        String strError = (String) msg.obj;
                        ListView lvret = (ListView) findViewById(R.id.lvinfos);
                        ArrayAdapter<String> adapterret = (ArrayAdapter<String>) lvret.getAdapter();
                        adapterret.add(strError);
                        int itemCount = lvret.getCount();
                        lvret.setSelection(itemCount - 1);
                    }
                    break;
                }
            }
        };
	}

    private class InfoDrawThread extends Thread {
        private boolean m_isRunning;
        private boolean m_isStopRequested = false;
        Handler  m_handler;
        // UUIDでリモート端末との接続用ソケットの生成
        public InfoDrawThread(Handler handler) {
            m_handler = handler;
        }

        public void StopRunning() { m_isStopRequested = true; }
        // 接続実行処理
        public void run() {
            m_isRunning = true;
            TabHost tabhost = (TabHost)findViewById(R.id.idtabHost);
            try {   Thread.sleep(1000);    } catch (InterruptedException e) {}
            while(!m_isStopRequested) {
                InfoData  info = new   InfoData();
                try {   Thread.sleep(50);    } catch (InterruptedException e) {}
                if (tabhost.getCurrentTab() == 0) {
                    //m_handler.obtainMessage(commtasks.MESSAGE_INFO_REQUEST).sendToTarget();
                    getM_comtask().recvInfo(info);
                    DoInfoUpdate(info);
                }
            }
            m_isRunning = false;
        }

    }

    private GestureDetector mGestureDetector;
    private static final int SWIPE_THRESHOLD_VELOCITY = 200;
    InfoData m_infodata = new InfoData();

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        return mGestureDetector.onTouchEvent(event);
    }

    private final GestureDetector.SimpleOnGestureListener mOnGestureListener = new GestureDetector.SimpleOnGestureListener() {
        @Override
        public boolean onFling(MotionEvent event1, MotionEvent event2, float velocityX, float velocityY) {

        try {

            if (event1.getX() < event2.getX() && Math.abs(velocityX) > SWIPE_THRESHOLD_VELOCITY) {
                m_infodata.m_rpm += 2;
                m_vInfoPanel.UpdateInfo(m_infodata);

            } else if (event2.getX() < event1.getX()  && Math.abs(velocityX) > SWIPE_THRESHOLD_VELOCITY) {
                // 終了位置から開始位置の移動距離が指定値より大きい
                // X軸の移動速度が指定値より大きい
                m_infodata.m_rpm -= 2; if( m_infodata.m_rpm < 0)  m_infodata.m_rpm = 0; ;
                m_vInfoPanel.UpdateInfo(m_infodata);
            }

        } catch (Exception e) {
            // nothing
        }
        return false;
    }
};


    public class InfoData{
        public  short  m_volt;
        public  short  m_rpm;
        public short m_accel;
        public byte m_temp1;
        public byte m_temp2;
        public short m_o2;
        public short m_injtime;
        public short m_btdcangle;
        public short m_errcode;
        public InfoData() {
            m_volt = 0; m_rpm = 0; m_accel = 0; m_temp1 = 0; m_temp2 = 0; m_o2 = 0; m_injtime = 0; m_errcode = 0;
        }
    }
    //------------------------------------------------------------------------//
    //  情報画面表示クラス
    //------------------------------------------------------------------------//
    class InfoPanel extends SurfaceView implements SurfaceHolder.Callback  {
        SurfaceHolder   m_holder;
        boolean m_IsInit = true;
        Canvas  m_ofscbuft, m_ofscbufy;
        Bitmap  m_ofscbmpt = null, m_ofscbmpy = null;
        int     m_width, m_height;
        double m_takorange = Math.PI * 2 * 3 / 4;       // 270度 2π/4*3
        double m_5degree = 0.0872664444444444;          // 5''
        double m_takopitch = m_takorange / 24.0;
        double m_takosangle = Math.PI * 1.25;           // 225'
        float m_takor, m_takor1, m_takor2, m_takot;
        InfoData m_infodata = new InfoData();
        Paint   m_BRSolidWhite;
        Paint   m_BRSoildBlack;
        Paint   m_PENforOutline;
        Paint   m_FntLargeC;
        Paint   m_FntULWhite;
        Paint   m_FntMidL;

        public void surfaceCreated(SurfaceHolder holder) {
            m_holder = holder;
            m_width = getWidth() ;
            m_height = getHeight();
            PrepareBuffer(m_width, m_height);
            UpdateInfo(m_infodata);
        }

        public void surfaceChanged(SurfaceHolder holder, int format, int width, int height) {
            m_width = width;
            m_height = height;
            if(m_ofscbmpt != null) {
                m_ofscbmpt.recycle();
                m_ofscbmpt = null;
            }
            if(m_ofscbmpy != null) {
                m_ofscbmpy.recycle();
                m_ofscbmpy = null;
            }
            m_ofscbuft = null;
            m_ofscbufy = null;
            PrepareBuffer(width, height);
        }

        public void surfaceDestroyed(SurfaceHolder holder) {}

        public InfoPanel(Context context){
            super(context);
            WindowManager wm = getWindowManager();
            getHolder().addCallback(this);

            //wm.getDefaultDisplay().
            m_BRSolidWhite = new Paint();
            m_BRSolidWhite.setStyle(Paint.Style.FILL);
            m_BRSolidWhite.setColor(Color.WHITE);

            m_BRSoildBlack = new Paint();
            m_BRSoildBlack.setStyle(Paint.Style.FILL);
            m_BRSoildBlack.setColor(Color.BLACK);

            m_PENforOutline = new Paint();
            m_PENforOutline.setStyle(Paint.Style.STROKE);
            m_PENforOutline.setColor(Color.BLACK);
            m_PENforOutline.setStrokeWidth(5);

            m_FntLargeC = new Paint();
            m_FntLargeC.setTextAlign(Paint.Align.CENTER);
            m_FntLargeC.setColor(Color.rgb(0, 0, 128));
            m_FntLargeC.setTextSize(48);

            m_FntMidL = new Paint();
            m_FntMidL.setTextAlign(Paint.Align.LEFT);
            m_FntMidL.setColor(Color.BLACK);
            m_FntMidL.setTextSize(40);

            m_FntULWhite = new Paint();
            m_FntULWhite.setTextAlign(Paint.Align.LEFT);
            m_FntULWhite.setColor(Color.WHITE);
            m_FntULWhite.setTextSize(60);
        }

        private void PrepareBuffer(int w, int h) {
            m_ofscbmpt = Bitmap.createBitmap(w, h, Bitmap.Config.ARGB_8888);
            m_ofscbuft = new Canvas(m_ofscbmpt);
            m_ofscbmpy = Bitmap.createBitmap(h, w,Bitmap.Config.ARGB_8888);
            m_ofscbufy = new Canvas(m_ofscbmpy);
            int th = h * 2 / 3;
            m_takor = (float)(w <  th ? w * 0.45 : th * 0.45);
            m_takot = (float)(m_takor * 0.9);
            m_takor1 = (float)(m_takor * 0.8);
            m_takor2 = (float) (m_takor * 0.7);
            drawFixedPart();
        }

        //------------------------------------- オフスクリーンバッファの固定部分描画
        private  void drawFixedPart() {
            Paint   paint = new Paint();

            paint.setColor(Color.WHITE);
            m_ofscbuft.drawRect(0, 0, m_width, m_height, paint);
            m_ofscbufy.drawRect(0, 0, m_width, m_height, paint);

            Paint   pt = new Paint(Paint.LINEAR_TEXT_FLAG);
            paint.setColor(Color.BLACK);
            paint.setStyle(Paint.Style.STROKE);
            paint.setStrokeWidth(5);
            pt.setColor(Color.argb(255, 0, 0, 128));
            pt.setTextSize(48);
            pt.setTextAlign(Paint.Align.CENTER);

            float   cx, cy;
            cx = m_width / 2;
            cy = m_height / 3;

            m_ofscbuft.drawCircle(cx, cy, m_takor, paint);
            for (int i = 0; i < 25; i++) {
                double angle = m_takosangle - (m_takopitch * i);
                double cosx = Math.cos(angle), sinx = Math.sin(angle);
                double takor1, takor2;
                if ((i & 1) == 0) {
                    takor1 = m_takor1;
                    takor2 = m_takor2;

                    m_ofscbuft.drawText(String.valueOf(i / 2),(float) (cx + cosx * m_takot),(float) (cy - sinx * m_takot), pt );
                } else {
                    takor1 = (float)(m_takor * 0.77);
                    takor2 = (float)(m_takor * 0.73);
                }
                m_ofscbuft.drawLine((float) (cx + cosx * takor1), (float) (cy - sinx * takor1),
                        (float) (cx + cosx * takor2), (float) (cy - sinx * takor2), paint);
            }

            cx = m_width / 3;
            cy = m_height / 2;

            m_ofscbufy.drawCircle(cx, cy, m_takor, paint);
            for (int i = 0; i < 25; i++) {
                double angle = m_takosangle - (m_takopitch * i);
                double cosx = Math.cos(angle), sinx = Math.sin(angle);
                double takor1, takor2;
                if ((i & 1) == 0) {
                    takor1 = m_takor1;
                    takor2 = m_takor2;

                    m_ofscbufy.drawText(String.valueOf(i / 2),(float) (cx + cosx * m_takot),(float) (cy - sinx * m_takot), pt );
                } else {
                    takor1 = (float)(m_takor * 0.77);
                    takor2 = (float)(m_takor * 0.73);
                }
                m_ofscbufy.drawLine((float) (cx + cosx * takor1), (float) (cy - sinx * takor1),
                        (float) (cx + cosx * takor2), (float) (cy - sinx * takor2), paint);
            }
        }

        private void drawTakoMeter(Canvas canvas, boolean isHorz)    {
            Paint   paint = new Paint();
            float   cx, cy;
            if(isHorz)  {
                cx = m_width / 3;
                cy = m_height / 2;
            }
            else {
                cx = m_width / 2;
                cy = m_height / 3;
            }

            m_ofscbuft.drawCircle(cx, cy, m_takor2, m_BRSolidWhite);    // 針の稼動域を塗りつぶして消去

            float   funit = m_height / 15f;         // 適度な大きさの論理単位

            canvas.drawRect(cx - funit, cy + funit * 2, cx + funit, cy + 3 * funit, m_BRSoildBlack);

            canvas.drawText(String.valueOf(m_infodata.m_btdcangle / 10) + "°", cx, cy + 2.7f * funit, m_FntULWhite);

            canvas.drawRect(cx - funit, cy - funit * 2, cx + funit, cy - funit, paint );

            canvas.drawText(String.valueOf(m_infodata.m_injtime / 10) + " ms", cx, cy - 1.2f * funit, m_FntULWhite);


            // 針
            Path  pdata = new Path();
            double rpmangle = m_takosangle - m_takorange / 120 * m_infodata.m_rpm;
            double cosx0 = Math.cos(rpmangle), siny0 = Math.sin(rpmangle);
            double cosx1 = Math.cos(rpmangle - m_5degree), siny1 = Math.sin(rpmangle - m_5degree);
            double cosx2 = Math.cos(rpmangle + m_5degree), siny2 = Math.sin(rpmangle + m_5degree);
            pdata.moveTo(cx, cy);
            pdata.lineTo((float) (cx + cosx1 * m_takor1 / 2), (float) (cy - siny1 * m_takor1 / 2));
            pdata.lineTo((float) (cx + cosx0 * m_takor1), (float) (cy - siny0 * m_takor1));
            pdata.lineTo((float) (cx + cosx2 * m_takor1 / 2), (float) (cy - siny2 * m_takor1 / 2));
            pdata.lineTo(cx, cy);

            paint.setStrokeWidth(5);
            paint.setColor(Color.GRAY);
            paint.setStyle(Paint.Style.STROKE);
            canvas.drawPath(pdata, paint);
            paint.setColor(Color.RED);
            paint.setStyle(Paint.Style.FILL);
            canvas.drawPath(pdata, paint);

        }

        private void drawBargraphs(Canvas canvas, boolean isHorz)    {

            Paint   paint = new Paint();
            paint.setColor(Color.BLACK);
            paint.setStyle(Paint.Style.STROKE);
            paint.setStrokeWidth(5);


            float   x, y, width, height, right;
            if(isHorz)  {
                width =  m_height * 2 / 3 * 0.9f;
                x = m_height / 3 * 0.05f + m_height / 3 * 2f;
                y = (m_height / 60);
                height = m_height / 40;
            }
            else {
                x = m_width * 0.05f;
                width = m_width * 0.9f;
                y = m_height * 2 / 3 + (m_height / 60);
                height = m_height / 40;
            }

            paint.setStyle(Paint.Style.FILL);

            canvas.drawRect(x, y, x + width, y + height, m_PENforOutline);
            paint.setColor(Color.rgb(0, 128, 0));
            canvas.drawRect(x, y, x + width, y + height, paint);
            paint.setColor(Color.rgb(0, 255, 0));
            right = width * m_infodata.m_accel / 255.0f;
            canvas.drawRect(x, y, x + right, y + height, paint);
            canvas.drawText("Accel", x, y, m_FntMidL);

            y += height * 2;
            canvas.drawRect(x, y, x + width, y + height, m_PENforOutline);
            paint.setColor(Color.rgb(128, 64, 0));
            canvas.drawRect(x, y, x + width, y + height, paint);
            paint.setColor(Color.rgb(255, 128, 0));
            right = m_infodata.m_temp1 / 16f * width;
            canvas.drawRect(x, y, x + right, y + height, paint);
            canvas.drawText("Water", x, y, m_FntMidL);

            y += height * 2;
            canvas.drawRect(x, y, x + width, y + height, m_PENforOutline);
            paint.setColor(Color.rgb(128, 128, 0));
            canvas.drawRect(x, y, x + width, y + height, paint);
            paint.setColor(Color.rgb(255, 255, 0));
            right = m_infodata.m_temp2 / 16f * width;
            canvas.drawRect(x, y, x + right, y + height, paint);
            canvas.drawText("Air", x, y, m_FntMidL);

            y += height * 2;
            canvas.drawRect(x, y, x + width, y + height, m_PENforOutline);
            paint.setColor(Color.rgb(128, 128, 255));
            canvas.drawRect(x, y, x + width, y + height, paint);
            paint.setColor(Color.rgb(0, 0, 255));
            right = m_infodata.m_o2 / 100f * width;
            canvas.drawRect(x, y, x + right, y + height, paint);
            canvas.drawText("O2", x, y, m_FntMidL);

            y += height * 2;
            canvas.drawRect(x, y, x + width, y + height, m_PENforOutline);
            paint.setColor(Color.rgb(128, 0, 0));
            canvas.drawRect(x, y, x + width, y + height, paint);
            paint.setColor(Color.rgb(255, 0, 0));
            right = m_infodata.m_volt / 255f * width;
            canvas.drawRect(x, y, x + right, y + height, paint);
            canvas.drawText("Volt", x, y, m_FntMidL);
        }

        public void onDraw(Canvas canvas) {
            int  ndir = getWindowManager() .getDefaultDisplay().getRotation() ;
            boolean isHorz = (ndir == Surface.ROTATION_90 || ndir == Surface.ROTATION_270);

           drawTakoMeter(m_ofscbuft, isHorz);     // タコメータ描画
           drawBargraphs(m_ofscbuft, isHorz);


            canvas.drawBitmap(isHorz ? m_ofscbmpy : m_ofscbmpt, 0, 0, null);
        }

        public void UpdateInfo(InfoData infoData) {
            m_infodata = infoData;
            Canvas canvas = m_holder.lockCanvas();
            if(canvas == null)
                return;
            onDraw(canvas);
            m_holder.unlockCanvasAndPost(canvas);
        }
    };

 }
