package com.blue.penecu;


import android.widget.TextView;

public class NumberObject extends Object{
    public float m_sdata;
    public float m_div;
    public String m_strFixed = null;
    public boolean m_isEditable = true;
    public boolean m_isModified = false;
    public int  m_idxOrg;
    public TextView m_view;
    public NumberObject() {Initialize(0, 1, -1); }
    public NumberObject(int val) { Initialize(val, 1, -1);  }
    public NumberObject(int val, int div) { Initialize(val, div, -1);   }
    public NumberObject(int val, int div, int idxOrg) { Initialize(val, div, idxOrg);   }
    public NumberObject(String val) { m_strFixed = val; m_isEditable = false; }
    public boolean isFixed() { return (m_strFixed != null);}
    protected void Initialize(int val, int div, int idxOrg) {
        m_sdata = (float)val / (float)div; m_div = div; m_idxOrg = idxOrg;
    }
    @Override
    public String toString() {
        return isFixed() ? m_strFixed : String.valueOf(m_sdata);
    }
    public void fromString(String  txt) {
        float thedata;
        try {  thedata =  Float.parseFloat(txt);  } catch (Exception e) { thedata = 0;  }
        if(thedata != m_sdata) {
            m_sdata = thedata;
            m_isModified = true;
        }
    }
    public short toShort() {
        return (short)(m_sdata * m_div + 0.0001);
    }
}
